<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>12 XML Editor</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h2 class="chapterHead"><span class="titlemark">12</span>&#x00A0;&#x00A0;<a 
 id="x75-8200012"></a>XML Editor</h2>
<!--l. 986--><p class="noindent" >The XML Editor is an interactive tool for viewing XML documents and for creating new data
or annotating text retrospectively in XML language. XML is not a programming language like
HTML. It is a markup language. That means: XML can work outside the web and sets the
meaning of the elements and (optionally) their presentation. XML is able to organize and
classify data in a text. Therefore XML is able to facilitate the exchange of data and
information as well as to make it searchable. Additional details on XML are not explained
here. Please See
</p><!--l. 988--><p class="noindent" ><a 
href="http://www.w3.org/XML/" class="url" ><span 
class="cmtt-10x-x-109">http://www.w3.org/XML/</span></a>
</p><!--l. 990--><p class="noindent" >for more information. TextGrid&#8217;s XML Editor is based on &#8220;Eclipse Web Tools Platform
Project&#8221; and &#8220;Vex&#8221; by John Krasnay&#x00A0;et.&#x00A0;al.:
</p><!--l. 992--><p class="noindent" ><a 
href="http://www.eclipse.org/webtools" class="url" ><span 
class="cmtt-10x-x-109">http://www.eclipse.org/webtools</span></a> and <a 
href="http://wiki.eclipse.org/Vex" class="url" ><span 
class="cmtt-10x-x-109">http://wiki.eclipse.org/Vex</span></a>
</p><!--l. 994--><p class="noindent" >The TextGrid help explains the <a 
href="textgrid-manualse42.html#x77-8400012.2">The XML Editor Perspective<!--tex4ht:ref: xml-editor:xml-editor-perspective --></a> and its parts in detail and gives
you some examples for using the XML Editor (<span 
class="stmary-10x-x-109">&#x2192;</span><a 
href="textgrid-manualse46.html#x93-14800012.6">Using the XML Editor<!--tex4ht:ref: xml-editor:usage --></a>).
</p>
<div class="sectionTOCS">
&#x00A0;<span class="sectionToc" >12.1&#x00A0;&#x00A0;<a 
href="textgrid-manualse41.html#x76-8300012.1">Open the XML-Editor</a></span>
<br />&#x00A0;<span class="sectionToc" >12.2&#x00A0;&#x00A0;<a 
href="textgrid-manualse42.html#x77-8400012.2">The XML Editor Perspective</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.2.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu21.html#x78-8500012.2.1">Features of the XML Editor</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.2.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu22.html#x79-9100012.2.2">Menu Bar</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.2.3&#x00A0;&#x00A0;<a 
href="textgrid-manualsu23.html#x80-10400012.2.3">Toolbar</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.2.4&#x00A0;&#x00A0;<a 
href="textgrid-manualsu24.html#x81-11000012.2.4">Status Bar</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.2.5&#x00A0;&#x00A0;<a 
href="textgrid-manualsu25.html#x82-11100012.2.5">Shortcuts</a></span>
<br />&#x00A0;<span class="sectionToc" >12.3&#x00A0;&#x00A0;<a 
href="textgrid-manualse43.html#x83-11200012.3">Editor Field</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.3.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu26.html#x84-11300012.3.1">Design View</a></span>
                                                                                

                                                                                
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.3.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu27.html#x85-12100012.3.2">Source View</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.3.3&#x00A0;&#x00A0;<a 
href="textgrid-manualsu28.html#x86-13700012.3.3">WYSIWYM View</a></span>
<br />&#x00A0;<span class="sectionToc" >12.4&#x00A0;&#x00A0;<a 
href="textgrid-manualse44.html#x87-14200012.4">Outline View</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.4.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu29.html#x88-14300012.4.1">Title Bar</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.4.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu30.html#x89-14400012.4.2">Context Menu</a></span>
<br />&#x00A0;<span class="sectionToc" >12.5&#x00A0;&#x00A0;<a 
href="textgrid-manualse45.html#x90-14500012.5">Properties View</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.5.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu31.html#x91-14600012.5.1">Title Bar</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.5.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu32.html#x92-14700012.5.2">Context Menu</a></span>
<br />&#x00A0;<span class="sectionToc" >12.6&#x00A0;&#x00A0;<a 
href="textgrid-manualse46.html#x93-14800012.6">Using the XML Editor</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.6.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu33.html#x94-14900012.6.1">Open XML documents</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.6.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu34.html#x95-15000012.6.2">Create XML documents</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.6.3&#x00A0;&#x00A0;<a 
href="textgrid-manualsu35.html#x96-15100012.6.3">Associate an XML Schema and Validating XML Files</a></span>
<br />&#x00A0;<span class="sectionToc" >12.7&#x00A0;&#x00A0;<a 
href="textgrid-manualse47.html#x97-15200012.7">Interaction with Other Components</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.7.1&#x00A0;&#x00A0;<a 
href="textgrid-manualsu36.html#x98-15300012.7.1">XML Editor and Navigator</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.7.2&#x00A0;&#x00A0;<a 
href="textgrid-manualsu37.html#x99-15400012.7.2">XML Editor and Metadata Editor</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.7.3&#x00A0;&#x00A0;<a 
href="textgrid-manualsu38.html#x100-15500012.7.3">XML Editor and Unicode Character Table</a></span>
<br />&#x00A0;&#x00A0;<span class="subsectionToc" >12.7.4&#x00A0;&#x00A0;<a 
href="textgrid-manualsu39.html#x101-15600012.7.4">XML Editor and Text-Image-Link-Editor</a></span>
</div>






                                                                                

                                                                                
<!--l. 1482--><p class="noindent" ><a 
 id="tailtextgrid-manualch12.html"></a> </p> 
</body></html> 
